<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveMultipleKey Method (DatabaseEntry, Boolean)
Cursor Class See Also Send Feedback

Set the cursor to refer to key, and store that key and as many ensuing key/data pairs that can fit in a buffer the size of one database page in CurrentMultipleKey.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MoveMultipleKey(
    	DatabaseEntry key,
    	bool exact
    )

Visual Basic (Declaration)

    Public Function MoveMultipleKey ( _
    	key As DatabaseEntry, _
    	exact As Boolean _
    ) As Boolean

Visual C++

    public:
    bool MoveMultipleKey(
    	DatabaseEntry^ key,
    	bool exact
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key at which to position the cursor

exact
  Type: System..::.Boolean
  If false and in a database configured for sorted duplicates, position the cursor at the smallest key greater than or equal to the specified key, permitting partial key matches and range searches. Otherwise, require the given key to match the key in the database exactly.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveMultipleKey Overload
BerkeleyDB Namespace